< prev index next >

test/java/util/zip/3GBZipFiles.sh

Print this page




  12 # accompanied this code).
  13 #
  14 # You should have received a copy of the GNU General Public License version
  15 # 2 along with this work; if not, write to the Free Software Foundation,
  16 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  17 #
  18 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  19 # or visit www.oracle.com if you need additional information or have any
  20 # questions.
  21 #
  22 
  23 # @test
  24 # @bug 4262583 4418997 4795136
  25 # @summary Check support for jar file members with sizes > 2GB
  26 # @author Martin Buchholz
  27 #
  28 # @build FileBuilder
  29 # @run shell 3GBZipFiles.sh 9986
  30 # @ignore runs for hours and eats up 7 Gigabytes of disk space
  31 # @run shell/timeout=604800 3GBZipFiles.sh 3141592653

  32 
  33 # Command-line usage:
  34 # javac FileBuilder.java && sh 3GBZipFiles.sh /path/to/jdk filesize
  35 
  36 # -------------------------------------------------------------------
  37 # Testing strategy: We want to test for size limits on the Jar file
  38 # itself, as well as on the compressed and uncompressed sizes of the
  39 # files stored therein.  All of these limits should be 4GB and should
  40 # be tested in the 2GB-4GB range.  We also want to check that it is
  41 # possible to store more than 6GB of actual data in a zip file, if we
  42 # have two files of size 3GB which compress nicely.  We also want to
  43 # test both the "STORED" and "DEFLATED" compression methods.
  44 # -------------------------------------------------------------------
  45 
  46 die () { echo "$1" >&2; exit 1; }
  47 
  48 sys () { "$@" || die "Command $@ failed: rc=$?"; }
  49 
  50 set -u
  51 




  12 # accompanied this code).
  13 #
  14 # You should have received a copy of the GNU General Public License version
  15 # 2 along with this work; if not, write to the Free Software Foundation,
  16 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  17 #
  18 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  19 # or visit www.oracle.com if you need additional information or have any
  20 # questions.
  21 #
  22 
  23 # @test
  24 # @bug 4262583 4418997 4795136
  25 # @summary Check support for jar file members with sizes > 2GB
  26 # @author Martin Buchholz
  27 #
  28 # @build FileBuilder
  29 # @run shell 3GBZipFiles.sh 9986
  30 # @ignore runs for hours and eats up 7 Gigabytes of disk space
  31 # @run shell/timeout=604800 3GBZipFiles.sh 3141592653
  32 # @key randomness
  33 
  34 # Command-line usage:
  35 # javac FileBuilder.java && sh 3GBZipFiles.sh /path/to/jdk filesize
  36 
  37 # -------------------------------------------------------------------
  38 # Testing strategy: We want to test for size limits on the Jar file
  39 # itself, as well as on the compressed and uncompressed sizes of the
  40 # files stored therein.  All of these limits should be 4GB and should
  41 # be tested in the 2GB-4GB range.  We also want to check that it is
  42 # possible to store more than 6GB of actual data in a zip file, if we
  43 # have two files of size 3GB which compress nicely.  We also want to
  44 # test both the "STORED" and "DEFLATED" compression methods.
  45 # -------------------------------------------------------------------
  46 
  47 die () { echo "$1" >&2; exit 1; }
  48 
  49 sys () { "$@" || die "Command $@ failed: rc=$?"; }
  50 
  51 set -u
  52 


< prev index next >